SharePoint Monitoring
API endpoints to manage and view information for SharePoint monitoring
/api/storage-monitor/sharepoint/v1/sites
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives
List SharePoint drives
Lists SharePoint drives
path Parameters
siteIdIdentifier for the site
query Parameters
skipTokenSkip token to fetch next page of data
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives › Responses
Success
skipTokenSkip token used to fetch next page of data
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors
Create a new SharePoint storage monitor
Creates a new SharePoint storage monitor
path Parameters
siteIdIdentifier for the site
driveIdIdentifier for the drive
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors › Request Body optional
policyNameThe name of the content management policy to apply when rebuilding files from the monitored drive. By default, the "default" content management policy is used.
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors › Responses
SharePoint monitor created
idUnique Identifier for the created monitor
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors
Delete the active SharePoint storage monitor
Deletes the active SharePoint storage monitor
path Parameters
siteIdIdentifier for the site
driveIdIdentifier for the drive
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors › Responses
SharePoint storage monitor deleted
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors
Update an existing SharePoint storage monitor
Updates an existing SharePoint storage monitor
path Parameters
siteIdIdentifier for the site
driveIdIdentifier for the drive
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors › Request Body optional
policyNameThe name of the content management policy to apply when rebuilding files from the monitored drive.
/api/storage-monitor/sharepoint/v1/sites/{siteId}/drives/{driveId}/monitors › Responses
SharePoint monitor updated
idUnique Identifier for the created monitor
/api/storage-monitor/sharepoint/v1/monitors
List active SharePoint storage monitors
Lists the active SharePoint storage monitors
query Parameters
pageSizeAmount of SharePoint monitors to return
pageIndexPage number to start returning data from
/api/storage-monitor/sharepoint/v1/monitors › Responses
A list of all active SharePoint storage monitors
/api/storage-monitor/sharepoint/v1/monitors
Create SharePoint storage monitors
Create the selected SharePoint storage monitors with the specified policy
/api/storage-monitor/sharepoint/v1/monitors › Request Body
rootIdThe Id of the SharePoint Site to create monitors for.
idsselectAllWhether to select all Document Libraries for the specified SharePoint Site or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
policyNamePolicy to apply for the created monitors
/api/storage-monitor/sharepoint/v1/monitors › Responses
A list of any issues which occured during creation
/api/storage-monitor/sharepoint/v1/monitors
Delete SharePoint storage monitors
Deletes the selected SharePoint storage monitors
/api/storage-monitor/sharepoint/v1/monitors › Request Body
idsselectAllWhether to select all active storage monitors or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
/api/storage-monitor/sharepoint/v1/monitors › Responses
A list of any issues which occured during deletion
/api/storage-monitor/sharepoint/v1/monitors
Update existing SharePoint storage monitors
Update existing SharePoint storage monitors
/api/storage-monitor/sharepoint/v1/monitors › Request Body
idsselectAllWhether to select all active storage monitors or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
/api/storage-monitor/sharepoint/v1/monitors › Responses
SharePoint monitor updated
/api/storage-monitor/sharepoint/v1/status
Get the status of the SharePoint Storage Monitoring service
Gets the status of the SharePoint Storage Monitoring service
/api/storage-monitor/sharepoint/v1/status › Responses
The current status of the SharePoint Storage Monitoring service
isHealthySpecifies whether the Storage Monitor is healthy
Health check results including service checks such as Webhook, Permissions, ProviderApi and License.